Status of current or last net to flash transfer
Sources for this description
Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.34751.2.10.14
Status of current or last net to flash transfer
Identification
{1 3 6 1 4 1 34751 2 10 14}
| Value | Name |
|---|---|
| 1 | flashOpInProgress |
| 2 | flashOpSuccess |
| 3 | flashOpFailure |
| 4 | flashReadOnly |
| 5 | flashOpenFailure |
| 6 | bufferAllocationFailure |
| 7 | noOpAfterPowerOn |
At least one MIB declaration places this object in a scalar group. A scalar instance uses the suffix .0.
snmpget [connection options] DEVICE .1.3.6.1.4.1.34751.2.10.14.0
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
nmsnetToFlashStatus OBJECT-TYPE
SYNTAX INTEGER {
flashOpInProgress(1),
flashOpSuccess(2),
flashOpFailure(3),
flashReadOnly(4),
flashOpenFailure(5),
bufferAllocationFailure(6),
noOpAfterPowerOn(7)
}
ACCESS read-only
STATUS mandatory
DESCRIPTION
"Status of current or last net to flash
transfer"
::= { nmslflash 14 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Status of current or last net to flash transfer
Multiple manufacturers; see the original MIB MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: nmsnetToFlashStatus
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"nmsnetToFlashStatus",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"flashOpInProgress",
"(",
"1",
")",
",",
"flashOpSuccess",
"(",
"2",
")",
",",
"flashOpFailure",
"(",
"3",
")",
",",
"flashReadOnly",
"(",
"4",
")",
",",
"flashOpenFailure",
"(",
"5",
")",
",",
"bufferAllocationFailure",
"(",
"6",
")",
",",
"noOpAfterPowerOn",
"(",
"7",
")",
"}",
"ACCESS",
"read-only",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"Status of current or last net to flash transfer\"",
"::=",
"{",
"nmslflash",
"14",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"flashOpInProgress",
1
],
[
"flashOpSuccess",
2
],
[
"flashOpFailure",
3
],
[
"flashReadOnly",
4
],
[
"flashOpenFailure",
5
],
[
"bufferAllocationFailure",
6
],
[
"noOpAfterPowerOn",
7
]
]
]
],
null,
[
"MaxAccessPart",
"read-only"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"Status of current or last net to flash transfer"
],
null,
null,
null,
null
]
}Vendor MIB copy from the Observium Community archive.
Module: QTECH-NMS-FLASH
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC1155-SMI': ['TimeTicks'], 'RFC1213-MIB': ['DisplayString'], 'QTECH-NMS-SMI': ['nmslocal']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.34751.2.10.1 | nmsflashSize | 0 | 0 | |
| 1.3.6.1.4.1.34751.2.10.2 | nmsflashFree | 0 | 0 | |
| 1.3.6.1.4.1.34751.2.10.3 | nmsflashController | 0 | 0 | |
| 1.3.6.1.4.1.34751.2.10.4 | nmsflashCard | 0 | 0 | |
| 1.3.6.1.4.1.34751.2.10.5 | nmsflashVPP | 0 | 0 | |
| 1.3.6.1.4.1.34751.2.10.6 | nmsflashErase | 0 | 0 | |
| 1.3.6.1.4.1.34751.2.10.7 | nmsflashEraseTime | 0 | 0 | |
| 1.3.6.1.4.1.34751.2.10.8 | nmsflashEraseStatus | 0 | 0 | |
| 1.3.6.1.4.1.34751.2.10.9 | nmsflashToNet | 0 | 0 | |
| 1.3.6.1.4.1.34751.2.10.10 | nmsflashToNetTime | 0 | 0 | |
| 1.3.6.1.4.1.34751.2.10.11 | nmsflashToNetStatus | 0 | 0 | |
| 1.3.6.1.4.1.34751.2.10.12 | nmsnetToFlash | 0 | 0 | |
| 1.3.6.1.4.1.34751.2.10.13 | nmsnetToFlashTime | 0 | 0 | |
| 1.3.6.1.4.1.34751.2.10.15 | nmsflashStatus | 0 | 0 | |
| 1.3.6.1.4.1.34751.2.10.16 | nmsflashEntries | 0 | 0 | |
| 1.3.6.1.4.1.34751.2.10.17 | nmslflashFileDirTable | 1 | 4 |